Bug 1418347 (CVE-2017-5200) - CVE-2017-5200 salt: Salt-api allows arbitrary command execution on a salt-master via Salt's ssh_client
Summary: CVE-2017-5200 salt: Salt-api allows arbitrary command execution on a salt-mas...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5200
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418350
Blocks: 1418348
TreeView+ depends on / blocked
 
Reported: 2017-02-01 15:38 UTC by Andrej Nemec
Modified: 2021-02-17 02:41 UTC (History)
5 users (show)

Fixed In Version: salt 2015.8.13, salt 2016.3.5, salt 2016.11.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 07:49:51 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-01 15:38:38 UTC
Users of Salt-API and salt-ssh could execute a command on the salt master via a hole when both systems were enabled.

References:

https://docs.saltstack.com/en/2016.3/topics/releases/2015.8.13.html

Comment 1 Andrej Nemec 2017-02-01 15:42:14 UTC
Created salt tracking bugs for this issue:

Affects: epel-all [bug 1418350]

Comment 2 Siddharth Sharma 2017-02-10 07:49:25 UTC
Mitigation:

Disable salt-api for mitigation.

Comment 3 Siddharth Sharma 2017-02-10 07:49:51 UTC
Statement:

This issue did not affect the versions of the salt as shipped with Red Hat Ceph Storage 1.3, Red Hat Ceph Storage 2, and Red Hat Storage Console 2 as salt-api and salt-ssh are not shipped with these products.


Note You need to log in before you can comment on or make changes to this bug.